Bug 249500 - missing configure flag or incomplete filelist and buildrequires
Summary: missing configure flag or incomplete filelist and buildrequires
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-25 08:07 UTC by Karsten Hopp
Modified: 2008-06-04 13:43 UTC (History)
1 user (show)

Fixed In Version: poppler-0.6-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 13:43:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karsten Hopp 2007-07-25 08:07:09 UTC
Description of problem:
poppler doesn't build on a system with qt and qt4 installed as it fails with
some uninstalled files:
error: Installed (but unpackaged) file(s) found:
   /usr/include/poppler/qt4/poppler-annotation.h
   /usr/include/poppler/qt4/poppler-form.h
   /usr/include/poppler/qt4/poppler-link.h
   /usr/include/poppler/qt4/poppler-page-transition.h
   /usr/include/poppler/qt4/poppler-qt4.h
   /usr/lib64/libpoppler-qt4.so.1
   /usr/lib64/libpoppler-qt4.so.1.0.0

Solution:
Either add a buildrequires for qt4-devel and fix the filelist or add 
--disable-poppler-qt4 to the configure parameters.

Version-Release number of selected component (if applicable):
poppler-0.5.9-1.fc8

Comment 1 Bug Zapper 2008-04-04 13:26:37 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 2 Rex Dieter 2008-06-04 13:43:12 UTC
confirmed fixed in 0.6-2 and newer (way back when).


Note You need to log in before you can comment on or make changes to this bug.